cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/wallet-movements/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/wallet-movements/"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/wallet-movements/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "aJ0vphh0acfytM4yWdAAXZcNPwDRDFpq",
"value_date": "2025-01-07",
"operation_date": "2025-01-06",
"previous_amount": 100,
"operation_amount": 10,
"final_amount": 90,
"category": "payment-gateway",
"subcategory": "tickets"
}
]
}{
"success": false,
"message": "Invalid category: ${invalidCategory}"
}Wallet Movement
Get wallet movements
Get all the wallet movements in your organization.
GET
/
wallet-movements
/
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Order of wallet movements.
Show child attributes
Show child attributes
Limit of wallet movements.
Offset of wallet movements.
Category of wallet movements.
Subcategory of wallet movements.
⌘I